%define base_name	xerces-j
%define Base_Name	Xerces-J
%define name	        old%{base_name}
%define version         1.3.1
%define release         5jpp
%define cvs_version	1_3_1
%define javadir         %{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java XML parser
License:	Apache License
Url:		http://xml.apache.org/xerces-j
Group:		Text processing/Markup/XML
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{Base_Name}-src.%{version}.tar.gz
Patch0:		%{name}.build.patch.bz2
Obsoletes:	oldxerces-j1
Provides:	oldxerces-j1
Provides:	jaxp_parser_impl
Requires:	xml-commons-apis
Requires:	/usr/sbin/update-alternatives
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Xerces Java Parser supports XML 1.0 recommendation and contains
advanced parser functionality, such as XML Schema, DOM Level 2 version
1.0, and SAX Version 2, in addition to supporting the industry-standard
DOM Level 1 and SAX version 1 APIs.
Note that because some of the standards are still not complete, the
stable API will definitely be different from its current form in
Xerces-J. This is your chance to give us feedback on the features that
are important to you, and let us know whether the APIs that we are
providing are the right ones. Please direct your feedback to the
Xerces-J mailing list.
Caution: this is an old version, only needed for building Xalan-J 1.

%package manual
Summary:	Manual for %{name}
BuildRequires: 	stylebook1.0b3
Group:		Development/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n xerces-%{cvs_version}
%patch0
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=\
%{javadir}/stylebook1.0b3.jar:\
build/classes
make jars
make docs
make apidocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 bin/xerces.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/apiDocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 bin/xercesSamples.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-samples.jar
cp -r data $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{javadir}/jaxp_parser_impl.jar jaxp_parser_impl %{javadir}/%{name}-%{version}.jar 5

%postun
update-alternatives --remove jaxp_parser_impl %{javadir}/%{name}-%{version}.jar

%files
%defattr(-,root,root)
%doc LICENSE README STATUS
%{javadir}/*.jar

%files manual
%defattr(-,root,root)
%doc docs/html/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Mon Jul 01 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.1-5jpp 
- vendor, distribution, group tags
- use sed instead of bash 2.x extension in link area to make spec compatible with distro using bash 1.1x
- provides jaxp_parser_impl

* Sun Mar 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.1-4jpp 
- provides jaxp_parser2 virtual resource
- section macro
- javadoc in %{_datadir}/javadoc again
- fixed style path in patch

* Thu Dec 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.1-3jpp
- javadoc back to /usr/share/doc
- doc and javadoc requires nothing
- demo requires exact version and release
- requires /usr/sbin/update-alternatives

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.1-2jpp
- changed name to oldxerces-j
- provides jaxp_parser for breaking circular dependances
- removed redudant buildRequires
- javadoc in javadoc package
- fixed empty manual package

* Fri Oct 19 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.1-1jpp
- first Mandrake release


